#include<bits/stdc++.h>
using namespace std;
inline int read(){
	int w=1,s=0;
	char ch=getchar();
	while(!isdigit(ch)){
		if(ch=='-') w=-1;
		ch=getchar();
	}
	while(isdigit(ch)){
		s=s*10+ch-'0';
		ch=getchar();
	}
	return w*s;
}
const int N=310,M=1000010,K=610;
int t;
int n,m,k;
int a[M],pos[5],stack[N][N];
struct node{
	int op,s1,s2;
}e[M];
int main(){
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	t=read();
	while(t--){
		n=read(),m=read(),k=read();
		for(int i=1;i<=m;i++) a[i]=read();
		
		
	}
	return 0;
}
